@import './variables';
@import './colors';

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/Roboto-Regular.ttf');
}

@font-face {
    font-family: 'Roboto';
    font-style: bold;
    font-weight: 800;
    src: url('../fonts/Roboto-Bold.ttf');
}

@font-face {
    font-family: 'Roboto-Slab';
    font-style: bold;
    font-weight: 800;
    src: url('../fonts/RobotoSlab-Bold.ttf');
}

@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/material-icons.woff2');
}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    /* Preferred icon size */
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;
    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;
    /* Support for IE. */
    font-feature-settings: 'liga';
}

body,
div,
img,
span,
p,
h3,
h1,
i {
    margin: 0;
    padding: 0;
    font-family: Roboto;
    outline: none;
}

body {
    background: url('../img/background.jpg');
    overflow: hidden;
}

.white-box {
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
    border-radius: 8px;
}

.pointer {
    cursor: pointer;
}

.pr {
    padding-right: 1rem;
}

.pl {
    padding-left: 1rem;
}

.mt {
    margin-top: 1rem;
}

.mb {
    margin-bottom: 1rem;
}

.ml {
    margin-left: 1rem;
}